Index: trunk/src/series/civ_input.m
===================================================================
--- trunk/src/series/civ_input.m	(revision 598)
+++ trunk/src/series/civ_input.m	(revision 599)
@@ -57,6 +57,10 @@
 guidata(hObject, handles); % Update handles structure
 set(hObject,'WindowButtonDownFcn',{'mouse_down'}) % allows mouse action with right button (zoom for uicontrol display)
-
-%% set visibility options
+SeriesData.ParentHandle=gcbf;
+SeriesData=get(gcbf,'UserData');
+% relevant data in gcbf:.FileType,.FileInfo,.Time,.TimeUnit,.GeometryCalib{1};
+
+%% set visibility options: case civ_matlab
+if strcmp(Param.Action.ActionName,'civ_series')
         set(handles.num_MaxDiff,'Visible','on')
         set(handles.num_MaxVel,'Visible','on')
@@ -73,22 +77,266 @@
         set(handles.CheckDeformation,'Value',0)% desactivate (work in progress)
         set(handles.CheckDecimal,'Value',0)% desactivate (work in progress)
+end
+
+%% input file info
+RootPath=Param.InputTable{1,1};
+RootFile=Param.InputTable{1,3};
+SubDir=Param.InputTable{1,2};
+NomTypeInput=Param.InputTable{1,4};
+FileExt=Param.InputTable{1,5};
+FileType=SeriesData.FileType{1};
+FileInfo=SeriesData.FileInfo{1};
+
+%% case of netcdf file as input, get the processing stage and look for corresponding images
+% imageinput=fileinput;%default
+% TODO: insert image input in the GUI series
+ind_opening=0;%default
+NomTypeNc='';
+switch FileType
+    case 'civdata'
+        NomTypeNc=NomTypeInput;
+        ind_opening=FileInfo.CivStage;
+        if isempty(regexp(NomTypeInput,'[ab|AB|-]', 'once'))
+            set(handles.ListCompareMode,'Value',2) %mode displacement advised if the nomencalture does not involve index pairs
+            set(handles.RootFile_1,'Visible','On');
+        else
+            set(handles.ListCompareMode,'Value',1)
+            set(handles.RootFile_1,'Visible','Off');
+        end
+        imageinput='';
+        set(handles.Program,'Value',1) %select civ/Matlab by default
+        %         if  ~isempty(Data.Civ2_ImageB)%get the corresponding input image in the netcdf file
+        %             imageinput=Data.Civ2_ImageB;
+        %             [tild,ImaName,ImaExt]=fileparts(Data.Civ2_ImageA);
+        %             set(handles.RootFile_1,'String',[ImaName ImaExt])
+        %         elseif ~isempty(Data.Civ1_ImageB)
+        %             imageinput=Data.Civ1_ImageB;
+        %             [tild,ImaName,ImaExt]=fileparts(Data.Civ1_ImageA);
+        %             set(handles.RootFile_1,'String',[ImaName ImaExt])
+        %         end
+        % settings for civx data,        
+        % look for the corresponding input images
+        check_letter=~isempty(regexp(NomTypeInput,'[ab|AB]$','once'));%detect pair label by letter
+        NomTypeIma=NomTypeInput;
+        if check_letter
+            NomTypeIma=NomTypeInput(1:end-1);
+        else
+            r=regexp(NomTypeIma,'.-(?<num2>\d+)$','names');
+            if ~isempty(r)
+                NomTypeIma=regexprep(NomTypeIma,['-' r.num2],'');
+            end
+            r=regexp(NomTypeIma,'.-(?<num2>\d+)','names');
+            if ~isempty(r)
+                NomTypeIma=regexprep(NomTypeIma,['-' r.num2],'');
+            end
+        end
+        if ~exist(imageinput,'file')
+            imageinput=fullfile_uvmat(RootPath,regexprep(SubDir,'.civ(_?)(\d*)$',''),RootFile,'.png',NomTypeIma,i1,[],j1);
+        end
+    case 'civxdata'% case of  civx data,
+        NomTypeNc=NomTypeInput;
+        ind_opening=FileInfo.CivStage;
+        set(handles.Program,'Value',3) %select Cix by default
+        msgbox_uvmat('ERROR','old civX convention, use the GUI civ')
+        return
+     case {'image','multimage','video','mmreader'}
+          NomTypeIma=NomTypeInput;      
+end
+
+%% TODO: get corresponding image in nc case
+
+%% reinitialise menus
+set(handles.ListPairMode,'Value',1)
+set(handles.ListPairMode,'String',{''})
+set(handles.ListPairCiv1,'Value',1)
+set(handles.ListPairCiv1,'String',{''})
+set(handles.ListPairCiv2,'Value',1)
+set(handles.ListPairCiv2,'String',{''}) 
+fill_GUI(Param,hObject);%fill the GUI with the parameters retrieved from the input Param
+
         
 %% prepare the GUI with input parameters 
-% from the GUI series
-
-%from the input file
-filecell=get_file_series(Param);
-set(handles.RootPath,'BackgroundColor',[1 1 0])%paint RootName edit box in yellow to indicate that the file input is proceeding
-errormsg=display_file_name(handles,filecell{1});
-if ~isempty(errormsg)
-    msgbox_uvmat('ERROR',errormsg)
-end
-set(handles.RootPath,'BackgroundColor',[1 1 1])%paint RootName back to white to indicate that the file input is finished
-if isfield(Param,'ActionInput')&&isfield(Param.ActionInput,'Program')&& strcmp(Param.ActionInput.Program,'civ_series')
-    fill_GUI(Param.ActionInput,handles.civ_input)
-end
+set(handles.ListCompareMode,'Visible','on')
+
+%display the parameters stored on the GUI series
+set(handles.first_i,'String',num2str(Param.IndexRange.first_i))
+set(handles.incr_i,'String',num2str(Param.IndexRange.incr_i))
+set(handles.last_i,'String',num2str(Param.IndexRange.last_i))
+set(handles.ref_i,'String',num2str(Param.IndexRange.first_i))
+if isfield(Param.IndexRange,'first_j')
+    set(handles.first_j,'String',num2str(Param.IndexRange.first_j))
+    set(handles.incr_j,'String',num2str(Param.IndexRange.incr_j))
+    set(handles.last_j,'String',num2str(Param.IndexRange.last_j))
+    set(handles.ref_i,'String',num2str(Param.IndexRange.first_j))
+end
+
+%% set the civ_input options depending on the input file content when a nc file has been opened
+ListOptions={'CheckCiv1', 'CheckFix1' 'CheckPatch1', 'CheckCiv2', 'CheckFix2', 'CheckPatch2'};
+checkbox=zeros(size(ListOptions));%default
+if ind_opening==0%case of image opening, start with Civ1
+    for index=1:numel(ListOptions)
+        checkbox(index)=get(handles.(ListOptions{index}),'Value');
+    end
+    index_max=find(checkbox, 1, 'last' );
+    if isempty(index_max),index_max=1;end
+    for index=1:index_max
+        set(handles.(ListOptions{index}),'Value',1)% select all operations starting from CIV1
+    end
+else
+    for index = 1:min(ind_opening,5)
+        set(handles.(ListOptions{index}),'value',0)
+    end
+    set(handles.(ListOptions{min(ind_opening+1,6)}),'value',1)
+    for index = ind_opening+2:6
+        set(handles.(ListOptions{index}),'value',0)
+    end
+end
+%list_operation={'CheckCiv1','CheckFix1','CheckPatch1','CheckCiv2','CheckFix2','CheckPatch2'};
+
+%set(handles.(ListOptions{min(ind_opening+1,6)}),'value',1)
+update_CivOptions(handles,ind_opening)
+
+%%  set the menus of image pairs and default selection for civ_input   %%%%%%%%%%%%%%%%%%%
+%check_letter=~isempty(regexp(NomTypeIma,'[ab|AB]$'));%detect pair label by letter
+%if  isequal(NomTypeNc,'_1-2')||isempty(MaxIndex_j)|| (MaxIndex_j==1)
+MaxIndex_i=Param.IndexRange.MaxIndex{1};
+MaxIndex_j=Param.IndexRange.MaxIndex{1,2};
+MinIndex_i=Param.IndexRange.MinIndex{1};
+MinIndex_j=Param.IndexRange.MinIndex{1,2};
+if ~isfield(Param.IndexRange,'first_j')
+    set(handles.ListPairMode,'Value',1)
+    set(handles.ListPairMode,'String',{'series(Di)'})
+elseif  MaxIndex_i==1 && MaxIndex_j>1% simple series in j
+    set(handles.ListPairMode,'String',{'pair j1-j2';'series(Dj)'})
+    if  MaxIndex_j <= 10
+        set(handles.ListPairMode,'Value',1)% advice 'pair j1-j2' except in MaxIndex_j is large
+    end
+elseif ~(strcmp(FileType,'video') || strcmp(FileType,'mmreader'))
+    set(handles.ListPairMode,'String',{'pair j1-j2';'series(Dj)';'series(Di)'})%multiple choice
+    if strcmp(NomTypeNc,'_1-2_1')
+        set(handles.ListPairMode,'Value',3)% advise 'series(Di)'
+    elseif  MaxIndex_j <= 10
+        set(handles.ListPairMode,'Value',1)% advice 'pair j1-j2' except in MaxIndex_j is large
+    end
+end
+
+%%  transfer the time from the GUI series, or use file index by default
+time=[];
+TimeUnit='frame'; %default
+CoordUnit='';%default
+pxcm_search=1;
+if isfield(SeriesData,'Time') && ~isempty(SeriesData.Time{1})
+    time=SeriesData.Time{1};
+    %transform .Time to a column vector if it is a line vector thenomenclature uses a single index: correct possible bug in xml
+    if isequal(MaxIndex_i,1) && ~isequal(MaxIndex_j,1)% .Time is a line vector
+        if numel(nom_type_read)>=2 && isempty(regexp(nom_type_read(2:end),'\D','once'))
+            time=time';
+            MaxIndex_i=MaxIndex_j;
+            MaxIndex_j=1;
+        end
+    end
+end
+if isfield(SeriesData,'TimeUnit')
+    TimeUnit=SeriesData.TimeUnit;
+end
+if isfield(SeriesData,'GeometryCalib')
+    tsai=SeriesData.GeometryCalib;
+    if isfield(tsai,'fx_fy')
+        pxcm_search=max(tsai.fx_fy(1),tsai.fx_fy(2));%pixels:cm estimated for the search range
+    end
+    if isfield(tsai,'CoordUnit')
+        CoordUnit=tsai.CoordUnit;
+    end
+end
+% timing set by video input
+if isempty(time) && (strcmp(FileType,'video') || strcmp(FileType,'mmreader'))
+    set(handles.ListPairMode,'Value',1);
+    dt=1/get(MovieObject,'FrameRate');%time interval between successive frames
+    if strcmp(NomTypeIma,'*')
+        set(handles.ListPairMode,'String',{'series(Di)'})
+        time=(dt*(0:MaxIndex_i-1))';%list of image times
+    else
+        set(handles.ListPairMode,'String',[{'series(Dj)'};{'series(Di)'}])
+        time=ones(MaxIndex_i,1)*(dt*(0:MaxIndex_j-1));%list of image times
+        enable_j(handles,'on')
+    end
+    TimeUnit='s';
+    set(handles.ImaDoc,'BackgroundColor',[1 1 1])% set display box back to whiter
+end
+
+%% timing display
+%show the reference image edit box if relevant (not needed for movies or in the absence of time information
+if numel(time)>=2 % if there are at least two time values to define dt
+    if size(time,1)<MaxIndex_i;
+        msgbox_uvmat('WARNING','maximum i index restricted by the timing of the xml file');
+    elseif size(time,2)<MaxIndex_j
+        msgbox_uvmat('WARNING','maximum j index restricted by the timing of the xml file');
+    end
+    MaxIndex_i=min(size(time,1),MaxIndex_i);%possibly adjust the max index according to time data
+    MaxIndex_j=min(size(time,2),MaxIndex_j);
+else
+    set(handles.ImaDoc,'String',''); %xml file not used for timing
+    %    time=(i1_series(:,1)+0:size(i1_series,3)-1);% time=index i
+    %    time=time'*ones(1,size(i1_series,2),1); %makes a time matrix with the same time for all j indices
+    TimeUnit='frame';
+    time=ones(MaxIndex_j-MinIndex_j+1,1)*(MinIndex_i:MaxIndex_i);
+    time=time+0.001*(MinIndex_j:MaxIndex_j)'*ones(1,MaxIndex_i-MinIndex_i+1);
+end
+time=[zeros(size(time,1),1) time]; %insert a vertical line of zeros (to deal with zero file indices)
+time=[zeros(1,size(time,2)); time]; %insert a horizontal line of zeros
+CivInputData.Time=time;
+set(handles.civ_input,'UserData',CivInputData)
+%set(handles.ImaDoc,'UserData',time); %store the matrix of times
+set(handles.NomType,'String',NomTypeIma)
+set(handles.dt_unit,'String',['dt in m' TimeUnit]);%display dt in unit 10-3 of the time (e.g ms)
+set(handles.TimeUnit,'String',TimeUnit);
+set(handles.nb_field,'String',num2str(MaxIndex_i));
+set(handles.nb_field2,'String',num2str(MaxIndex_j));
+set(handles.CoordUnit,'String',CoordUnit)
+set(handles.SearchRange,'UserData', pxcm_search);
+
+% set(handles.ImaExt,'String',ImaExt)
+% set(handles.NomType,'String',NomTypeIma)
+
+%% set the reference indices from the input file indices
+num_ref_i=str2num(get(handles.ref_i,'String'));
+num_ref_j=str2num(get(handles.ref_j,'String'));
+
+
+%% list the possible index pairs, depending on the option set in ListPairMode
+ListPairMode_Callback([], [], handles)
+
+% for movies don't modify except if the current ref is outside index bounds
+%if strcmp(ExtInput,'.nc')|| ~(strcmp(FileType,'mmreader')||strcmp(FileType,'VideoReader') && num_ref_i<=MaxIndex_i && num_ref_j<=MaxIndex_j)
+% if ~isempty(i1)% if i1 has been selected by the input
+%     num_ref_i=i1;%default ref index
+%     if ~isempty(i2)
+%         num_ref_i=floor((num_ref_i+i2)/2);
+%     end
+%     if ~isempty(j1)
+%         num_ref_j=j1;
+%         if ~isempty(j2)
+%             num_ref_j=floor((num_ref_j+j2)/2);
+%         end
+%     end
+% end
+% if num_ref_i>MaxIndex_i||num_ref_i<MinIndex_i
+%     num_ref_i=round((MinIndex_i+MaxIndex_i)/2);
+% end
+% if ~isempty(num_ref_j)&&~isempty(MaxIndex_j)&& ~isempty(MinIndex_j)
+%     if (num_ref_j>MaxIndex_j||num_ref_j<MinIndex_j)
+%         num_ref_j=round((MinIndex_j+MaxIndex_j)/2);
+%     end
+% end
+% if isempty(num_ref_j)
+%     num_ref_j=1;
+% end
+% 
+%% set the GUI to modal: wait for OK to close
 set(handles.civ_input,'WindowStyle','modal')% Make the GUI modal
 drawnow
 uiwait(handles.civ_input);
+
+
 
 %Program_Callback([],[], handles)
@@ -111,136 +359,6 @@
     delete(handles.civ_input);
 end
-%------------------------------------------------------------------------
-% --- Function activated by the Open/Browse... option in the upper menu bar.
-function MenuBrowse_Callback(hObject, eventdata, handles)
-%------------------------------------------------------------------------
-%% get the current input root file name to initiate the browser
-filebase=get(handles.RootPath,'String');
-oldfile=''; %default
-if isempty(filebase)|| isequal(filebase,'')%loads the previously stored root file name
-    dir_perso=prefdir;
-    profil_perso=fullfile(dir_perso,'uvmat_perso.mat');
-    if exist(profil_perso,'file')
-        h=load (profil_perso);
-        if isfield(h,'filebase')&& ischar(h.filebase)
-            oldfile=h.filebase;
-        end
-        if isfield(h,'RootPath') && ischar(h.RootPath)
-            oldfile=h.RootPath;
-        end
-    end
-else
-    oldfile=filebase;
-end
-
-%% get the new input file with the browser
-menu={'*.xml;*.civ;*.png;*.jpg;*.tif;*.avi;*.AVI;*.nc;', ' (*.xml,*.civ,*.png,*.jpg ,.tif, *.avi,*.nc)';
-    '*.xml',  '.xml files '; ...
-    '*.civ',  '.civ files '; ...
-    '*.png','.png image files'; ...
-    '*.jpg',' jpeg image files'; ...
-    '*.tif','.tif image files'; ...
-    '*.avi;*.AVI','.avi movie files'; ...
-    '*.nc','.netcdf files'; ...
-    '*.*',  'All Files (*.*)'};
-[FileName, PathName, filtindex] = uigetfile( menu, 'Pick a file',oldfile);
-fileinput=[PathName FileName];%complete file name
-sizf=size(fileinput);
-if (~ischar(fileinput)||~isequal(sizf(1),1)),return;end %stop if fileinput not a character string
-
-%% case of the xml file opened as input (TODO: check and see whether it is useful)
-[path,name,ext]=fileparts(fileinput);
-testeditxml=0;
-% if isequal(ext,'.xml')
-%     testeditxml=1;
-%     t_browse=xmltree(fileinput);
-%     head_element=get(t_browse,1);
-%     if isfield(head_element,'name')&& isequal(head_element.name,'ImaDoc')
-%         testeditxml=0;
-%     end
-% end
-% if testeditxml==1 || isequal(ext,'.xls')
-%     heditxml=editxml({fileinput});
-%     set(heditxml,'Tag','browser')
-%     waitfor(heditxml,'Tag','idle')
-%     if ~ishandle(heditxml)
-%         return
-%     end
-%     attr=findobj(get(heditxml,'children'),'Tag','CurrentAttributes');
-%     set(handles.browse,'UserData',fileinput)% store for future opening with browser
-%     fileinput=get(attr,'UserData');
-%     if ~exist(fileinput,'file')
-%         return
-%     end
-% end
-[tild,tild,tild,i1,i2,j1,j2,FileExt,NomType]=fileparts_uvmat(fileinput);
-
-%% prepare the GUI with parameters from the input file 
-set(handles.RootPath,'BackgroundColor',[1 1 0])%paint RootName edit box in yellow to indicate that the file input is proceeding
-errormsg=display_file_name(handles,fileinput);
-if ~isempty(errormsg)
-    msgbox_uvmat('ERROR',erromsg)
-end
-set(handles.RootPath,'BackgroundColor',[1 1 1])%paint RootName back to white to indicate that the file input is finished
-
-%------------------------------------------------------------------------
-% --- Open again the file whose name has been recorded in MenuFile_1
-function MenuFile_1_Callback(hObject, eventdata, handles)
-%------------------------------------------------------------------------
-set(handles.RootPath,'BackgroundColor',[1 1 0])%paint RootName edit box in yellow to indicate that the file input is proceeding
-fileinput=get(handles.MenuFile_1,'Label');
-errormsg=display_file_name(handles,fileinput);
-if ~isempty(errormsg)
-    msgbox_uvmat('ERROR',errormsg)
-end
-set(handles.RootPath,'BackgroundColor',[1 1 1])%paint RootName back to white to indicate that the file input is finished
-
-% -----------------------------------------------------------------------
-% --- Open again the file whose name has been recorded in MenuFile_2
-function MenuFile_2_Callback(hObject, eventdata, handles)
-%------------------------------------------------------------------------
-set(handles.RootPath,'BackgroundColor',[1 1 0])%paint RootName edit box in yellow to indicate that the file input is proceeding
-fileinput=get(handles.MenuFile_2,'Label');
-errormsg=display_file_name(handles,fileinput);
-if ~isempty(errormsg)
-    msgbox_uvmat('ERROR',errormsg)
-end
-set(handles.RootPath,'BackgroundColor',[1 1 1])%paint RootName back to white to indicate that the file input is finished
-
-% -----------------------------------------------------------------------
-% --- Open again the file whose name has been recorded in MenuFile_3
-function MenuFile_3_Callback(hObject, eventdata, handles)
-%------------------------------------------------------------------------
-set(handles.RootPath,'BackgroundColor',[1 1 0])%paint RootName edit box in yellow to indicate that the file input is proceeding
-fileinput=get(handles.MenuFile_3,'Label');
-errormsg=display_file_name(handles,fileinput);
-if ~isempty(errormsg)
-    msgbox_uvmat('ERROR',errormsg)
-end
-set(handles.RootPath,'BackgroundColor',[1 1 1])%paint RootName back to white to indicate that the file input is finished
-
-% -----------------------------------------------------------------------
-% --- Open again the file whose name has been recorded in MenuFile_4
-function MenuFile_4_Callback(hObject, eventdata, handles)
-%------------------------------------------------------------------------
-set(handles.RootPath,'BackgroundColor',[1 1 0])%paint RootName edit box in yellow to indicate that the file input is proceeding
-fileinput=get(handles.MenuFile_4,'Label');
-errormsg=display_file_name(handles,fileinput);
-if ~isempty(errormsg)
-    msgbox_uvmat('ERROR',errormsg)
-end
-set(handles.RootPath,'BackgroundColor',[1 1 1])%paint RootName back to white to indicate that the file input is finished
-
-% -----------------------------------------------------------------------
-% --- Open again the file whose name has been recorded in MenuFile_5
-function MenuFile_5_Callback(hObject, eventdata, handles)
-%------------------------------------------------------------------------
-set(handles.RootPath,'BackgroundColor',[1 1 0])%paint RootName edit box in yellow to indicate that the file input is proceeding
-fileinput=get(handles.MenuFile_5,'Label');
-errormsg=display_file_name(handles,fileinput);
-if ~isempty(errormsg)
-    msgbox_uvmat('ERROR',errormsg)
-end
-set(handles.RootPath,'BackgroundColor',[1 1 1])%paint RootName back to white to indicate that the file input is finished
+
+
 
 % -----------------------------------------------------------------------
@@ -258,22 +376,4 @@
 end
 
-%------------------------------------------------------------------------
-% --- Function activated when a new filebase (image series) is introduced
-function RootPath_Callback(hObject, eventdata, handles)
-%------------------------------------------------------------------------
-set(handles.RootPath,'BackgroundColor',[1 1 0])%paint RootName edit box in yellow to indicate that the file input is proceeding
-RootPath=get(handles.RootPath,'String');
-SubDirImages=get(handles.SubDirImages,'String');
-RootFile=get(handles.RootFile,'String');
-ref_i=str2num(get(handles.ref_i,'String'));
-ref_j=str2num(get(handles.ref_j,'String'));
-NomType=get(handles.NomType,'String');
-ImaExt=get(handles.ImaExt,'String');
-fileinput=fullfile_uvmat(RootPath,SubDirImages,RootFile,ImaExt,NomType,ref_i,[],ref_j);
-errormsg=display_file_name(handles,fileinput);
-if ~isempty(errormsg)
-    msgbox_uvmat('ERROR',errormsg)
-end
-set(handles.RootPath,'BackgroundColor',[1 1 1])%paint RootName back to white to indicate that the file input is finished
 
 %------------------------------------------------------------------------
@@ -281,7 +381,5 @@
 function errormsg=display_file_name(handles,fileinput)
 %------------------------------------------------------------------------
-set(handles.ListCompareMode,'Visible','on')
-errormsg='';%default empty error message
-drawnow
+
 
 %% enable OK, BATCH button and 'status' display
@@ -294,118 +392,15 @@
 
 %% determine nomenclature types and extension of the input files
-[RootPath,SubDir,RootFile,i1,i2,j1,j2,ExtInput,NomTypeInput]=fileparts_uvmat(fileinput);
-NomTypeNc='';%default
-
-%% case of xml file as input, read the civ_input parameters
-ind_opening=0;%default
-if strcmp(ExtInput,'.xml')
-    %reinitialise menus
-        set(handles.ListPairMode,'Value',1)
-    set(handles.ListPairMode,'String',{''})
-    set(handles.ListPairCiv1,'Value',1)
-    set(handles.ListPairCiv1,'String',{''})
-        set(handles.ListPairCiv2,'Value',1)
-    set(handles.ListPairCiv2,'String',{''}) 
-    Param=xml2struct(fileinput);  %read parameters from the xml input file
-    fill_GUI(Param,handles);%fill the GUI with the parameters retrieved from the xml file 
-    return
-end
-
-%% case of netcdf file as input, get the civ_input processing stage and look for a coresponding image
-imageinput=fileinput;%default
-if strcmp(ExtInput,'.nc')
-    NomTypeNc=NomTypeInput;
-    if isempty(regexp(NomTypeInput,'[ab|AB|-]', 'once'))
-        set(handles.ListCompareMode,'Value',2) %mode displacement advised if the nomencalture does not involve index pairs
-        set(handles.RootFile_1,'Visible','On');
-    else
-        set(handles.ListCompareMode,'Value',1)
-        set(handles.RootFile_1,'Visible','Off');
-    end
-    imageinput='';
-    Data=nc2struct(fileinput,'ListGlobalAttribute','Conventions','absolut_time_T0','CivStage','Civ2_ImageA','Civ1_ImageA','Civ2_ImageB','Civ1_ImageB','fix','patch','civ2','fix2');
-    if isfield(Data,'Txt')
-        errormsg=Data.Txt;
-        return
-    end
-    % settings for  new civ_input data,
-    if strcmp(Data.Conventions,'uvmat/civdata')% case of new civ data,
-        set(handles.Program,'Value',1) %select civ/Matlab by default
-        Program_Callback([],[], handles)
-        if ~isempty(Data.CivStage)%test for civ files
-            ind_opening=Data.CivStage;
-        end
-        if  ~isempty(Data.Civ2_ImageB)%get the corresponding input image in the netcdf file
-            imageinput=Data.Civ2_ImageB;
-            [tild,ImaName,ImaExt]=fileparts(Data.Civ2_ImageA);
-            set(handles.RootFile_1,'String',[ImaName ImaExt])
-        elseif ~isempty(Data.Civ1_ImageB)
-            imageinput=Data.Civ1_ImageB;
-            [tild,ImaName,ImaExt]=fileparts(Data.Civ1_ImageA);
-            set(handles.RootFile_1,'String',[ImaName ImaExt])
-        end
-        % settings for civx data,
-    elseif ~isempty(Data.absolut_time_T0')% case of  civx data,
-        set(handles.Program,'Value',3) %select Cix by default
-        Program_Callback([],[], handles)
-        if ~isempty(Data.fix2)
-            ind_opening=5;
-        elseif ~isempty(Data.civ2)
-            ind_opening=4;
-        elseif ~isempty(Data.patch)
-            ind_opening=3;
-        elseif ~isempty(Data.fix)
-            ind_opening=2;
-        end
-    else
-        errormsg='the input netcdf file is not civ data';
-        return
-    end
-    % look for the corresponding input images
-    check_letter=~isempty(regexp(NomTypeInput,'[ab|AB]$','once'));%detect pair label by letter
-    NomTypeIma=NomTypeInput;
-    if check_letter
-        NomTypeIma=NomTypeInput(1:end-1);
-    else
-        r=regexp(NomTypeIma,'.-(?<num2>\d+)$','names');
-        if ~isempty(r)
-            NomTypeIma=regexprep(NomTypeIma,['-' r.num2],'');
-        end
-        r=regexp(NomTypeIma,'.-(?<num2>\d+)','names');
-        if ~isempty(r)
-            NomTypeIma=regexprep(NomTypeIma,['-' r.num2],'');
-        end
-    end
-    if ~exist(imageinput,'file')
-    imageinput=fullfile_uvmat(RootPath,regexprep(SubDir,'.civ(_?)(\d*)$',''),RootFile,'.png',NomTypeIma,i1,[],j1);
-    end
-end
-
-%% no corresponding image found, select manually with the browser
-ImaExt=ExtInput;
-if ~isempty(NomTypeNc)
-    %no corresponding image found, select manually with the browser
-    if ~exist(imageinput,'file')
-        menu={'*.png;*.jpg;*.tif;*.avi;*.AVI', '(*.png,*.jpg ,*.tif, *.avi,*.AVI)';
-            '*.png','.png image files'; ...
-            '*.jpg',' jpeg image files'; ...
-            '*.tif','.tif image files'; ...
-            '*.avi;*.AVI','.avi movie files'; ...
-            '*.*',  'All Files (*.*)'};
-        [FileName, PathName] = uigetfile( menu, 'Pick an input image file',fileparts(fileparts(fileinput)));
-        imageinput=[PathName FileName];%complete file name
-        if ~exist(imageinput,'file')
-            return %abandon of the browser is cancelled
-        end
-    end    
-    %fileinput=imageinput;
-end
-
-%% scan the image file series 
+% [RootPath,SubDir,RootFile,i1,i2,j1,j2,ExtInput,NomTypeInput]=fileparts_uvmat(fileinput);
+% NomTypeNc='';%default
+
+
+
+%% scan the image file series
 [FilePath,FileName,ImaExt]=fileparts(imageinput);
 % detect the file type, get the movie object if relevant, and look for the corresponding file series:
 % the root name and indices may be corrected by including the first index i1 if a corresponding xml file exists
-[RootPath,SubDirImages,RootFile,i1_series,tild,j1_series,tild,NomTypeIma,FileType,MovieObject]=find_file_series(FilePath,[FileName ImaExt]);
-switch FileType
+%[RootPath,SubDirImages,RootFile,i1_series,tild,j1_series,tild,NomTypeIma,FileType,MovieObject]=find_file_series(FilePath,[FileName ImaExt]);
+switch Param.FileType{1}
     case {'image','multimage','video','mmreader'}
     otherwise
